---
updatedAt: 2026-06-03T14:46:37.000Z
agentTools:
  projectIndex: https://developers.fieldwire.com/llms.txt
---

# Get all weather_conditions in project

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Fieldwire Regional API",
    "version": "v3"
  },
  "servers": [
    {
      "url": "https://client-api.{region}.fieldwire.com",
      "variables": {
        "region": {
          "default": "us",
          "enum": [
            "ca",
            "eu",
            "us"
          ]
        }
      }
    }
  ],
  "components": {
    "headers": {
      "count": {
        "description": "Pagination header: number of entities in responses",
        "schema": {
          "type": "integer"
        }
      },
      "current_user_id": {
        "description": "Current user's id",
        "schema": {
          "type": "integer"
        }
      },
      "has_more": {
        "description": "True if there are more pages of results, false otherwise",
        "schema": {
          "type": "boolean"
        }
      },
      "last_synced_at": {
        "description": "To be used as input for `last_synced_at` query parameter to get the next page of results",
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "parameters": {
      "api_version": {
        "name": "Fieldwire-Version",
        "in": "header",
        "description": "Specifies the version of the API to talk to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date"
        }
      },
      "entities_filter": {
        "name": "Fieldwire-Filter",
        "in": "header",
        "description": "Specifies if request should include active, deleted or all (default) entities",
        "required": false,
        "schema": {
          "type": "string",
          "enum": [
            "active",
            "deleted"
          ]
        }
      },
      "entities_per_page": {
        "name": "Fieldwire-Per-Page",
        "in": "header",
        "description": "Specifies the number of entities to include in the request",
        "required": false,
        "schema": {
          "type": "integer",
          "maximum": 1000
        }
      },
      "project_id": {
        "name": "project_id",
        "in": "path",
        "description": "ID of the project this entity belongs to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      },
      "last_synced_at": {
        "name": "last_synced_at",
        "in": "query",
        "description": "Timestamp since when further updates should be included",
        "required": false,
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "schemas": {
      "weather_condition": {
        "type": "object",
        "description": "Entity that carries weather related information for a project on a particular date",
        "required": [
          "id",
          "creator_user_id",
          "last_editor_user_id",
          "project_id",
          "date",
          "data",
          "created_at",
          "device_created_at",
          "device_updated_at",
          "resolved_conflict",
          "updated_at"
        ],
        "nullable": false,
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the entity"
          },
          "creator_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who created this entity"
          },
          "last_editor_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who most recently edited this entity"
          },
          "project_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the project this entity belongs to"
          },
          "date": {
            "type": "string",
            "format": "date",
            "nullable": false,
            "description": "Date this entity carries the weather information for"
          },
          "data": {
            "type": "object",
            "nullable": false,
            "description": "Payload that carries the weather information for a single day"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server created the entity"
          },
          "deleted_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time the server deleted the entity"
          },
          "device_created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device created the entity"
          },
          "device_updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device last updated the entity"
          },
          "resolved_conflict": {
            "type": "boolean",
            "nullable": false,
            "description": "Specifies if PUT/PATCH request was rejected - do not store this field!"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server last updated the entity"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwt": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Access token (JWT) generated using the acquired refresh token (API token). Our [authentication](https://developers.fieldwire.com/docs/authentication) guide covers the steps to generate a valid token"
      }
    }
  },
  "paths": {
    "/api/v3/projects/{project_id}/weather_conditions": {
      "get": {
        "summary": "Get all weather_conditions in project",
        "operationId": "get_weather_conditions_in_project",
        "tags": [
          "weather conditions"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/api_version"
          },
          {
            "$ref": "#/components/parameters/entities_filter"
          },
          {
            "$ref": "#/components/parameters/entities_per_page"
          },
          {
            "$ref": "#/components/parameters/last_synced_at"
          },
          {
            "$ref": "#/components/parameters/project_id"
          }
        ],
        "security": [
          {
            "jwt": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              },
              "X-Count": {
                "$ref": "#/components/headers/count"
              },
              "X-Last-Synced-At": {
                "$ref": "#/components/headers/last_synced_at"
              },
              "X-Has-More": {
                "$ref": "#/components/headers/has_more"
              }
            },
            "content": {
              "application/json": {
                "example": [
                  {
                    "id": "db224ef2-b185-4a03-b3df-91ee741b8c9e",
                    "creator_user_id": 2649,
                    "last_editor_user_id": 2649,
                    "project_id": "c72ff4b2-0639-4031-8bda-2c8eb3d2c139",
                    "resolved_conflict": false,
                    "created_at": "2026-10-02T14:54:16.573Z",
                    "updated_at": "2026-10-02T14:54:16.574Z",
                    "device_created_at": "2026-10-02T14:54:16.573Z",
                    "device_updated_at": "2026-10-02T14:54:16.573Z",
                    "deleted_at": null,
                    "date": "1970-01-02",
                    "data": {
                      "latitude": 37.8267,
                      "longitude": -122.4233,
                      "timezone": "America/Los_Angeles",
                      "hourly": {
                        "summary": "Mostly cloudy starting this evening.",
                        "icon": "partly-cloudy-day",
                        "data": [
                          {
                            "time_hour": 6,
                            "time": 1527717600,
                            "summary": "Clear",
                            "icon": "clear-day",
                            "precipIntensity": 0,
                            "precipProbability": 0,
                            "temperature": 60.71,
                            "apparentTemperature": 60.71,
                            "dewPoint": 46.81,
                            "humidity": 0.6,
                            "pressure": 1010.49,
                            "windSpeed": 13.08,
                            "windGust": 19.89,
                            "windBearing": 243,
                            "cloudCover": 0.16,
                            "uvIndex": 6,
                            "visibility": 10,
                            "ozone": 358.73
                          }
                        ]
                      },
                      "offset": -7
                    }
                  },
                  {
                    "id": "7e366205-5e71-4c58-a36f-094a588748bf",
                    "creator_user_id": 2649,
                    "last_editor_user_id": 2649,
                    "project_id": "c72ff4b2-0639-4031-8bda-2c8eb3d2c139",
                    "resolved_conflict": false,
                    "created_at": "2026-10-01T00:00:00.000Z",
                    "updated_at": "2026-10-02T14:54:16.577Z",
                    "device_created_at": "2026-10-01T00:00:00.000Z",
                    "device_updated_at": "2026-10-01T00:00:00.000Z",
                    "deleted_at": null,
                    "date": "1970-01-03",
                    "data": {
                      "latitude": 37.8267,
                      "longitude": -122.4233,
                      "timezone": "America/Los_Angeles",
                      "hourly": {
                        "summary": "Mostly cloudy starting this evening.",
                        "icon": "partly-cloudy-day",
                        "data": [
                          {
                            "time_hour": 6,
                            "time": 1527717600,
                            "summary": "Clear",
                            "icon": "clear-day",
                            "precipIntensity": 0,
                            "precipProbability": 0,
                            "temperature": 60.71,
                            "apparentTemperature": 60.71,
                            "dewPoint": 46.81,
                            "humidity": 0.6,
                            "pressure": 1010.49,
                            "windSpeed": 13.08,
                            "windGust": 19.89,
                            "windBearing": 243,
                            "cloudCover": 0.16,
                            "uvIndex": 6,
                            "visibility": 10,
                            "ozone": 358.73
                          }
                        ]
                      },
                      "offset": -7
                    }
                  }
                ],
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/weather_condition"
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```